# Google Pay API sample app for Android

## Overview
This sample demonstrates basic usage of the Google Pay API for Android.

The Google Pay API can be used to request any credit or debit card stored in
your customer's Google account, including Android device tokens managed in
the Google Pay app on Android.

For more information, visit the following link:

https://developers.google.com/pay/api/android/overview

## Instructions

In Android Studio, open the `kotlin` or `java` directory to get started.

Make sure you read the comments in `Constants.java` and `PaymentsUtil.java` before
you continue. These files **must** be modified prior to running the app, as per
the instructions provided in the comments.

## Requirements

In order to build and run this sample app, make sure you:

-   Have Android Studio 3.0 or greater installed.
-   Have a device running Android 4.4 (KitKat) or greater.
-   Have Google Play services version 16.0.0 or greater installed on this device.

To be able to fully test the API, you will also need to:

-   [Add a payment method to your Google Account](https://support.google.com/pay/answer/7625139).
-   [Install and add a payment method to the Google Pay app](https://support.google.com/pay/answer/7625139?co=GENIE.Platform%3DAndroid) (optional).
-   Consult your payment processor's documentation to learn about whether they support the Google Pay API.

## Support

For any questions or issues, please refer to our [How to get help](https://developers.google.com/pay/api/support) page. 
